Package org.apache.tomcat.jdbc.pool.interceptor

## Class StatementCache.CachedStatement

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor.StatementProxy<java.sql.PreparedStatement>
  - - org.apache.tomcat.jdbc.pool.interceptor.StatementCache.CachedStatement

- All Implemented Interfaces:
    `java.lang.reflect.InvocationHandler`
  Enclosing class:
    StatementCache

      protected class StatementCache.CachedStatement
      extends StatementDecoratorInterceptor.StatementProxy<java.sql.PreparedStatement>

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor.StatementProxy

      `closed, delegate`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CachedStatement​(java.sql.PreparedStatement parent, java.lang.String sql)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `closeInvoked()` |
    `void` | `forceClose()` |
    `org.apache.tomcat.jdbc.pool.interceptor.StatementCache.CacheKey` | `getCacheKey()` |
    `void` | `setCacheKey​(org.apache.tomcat.jdbc.pool.interceptor.StatementCache.CacheKey cacheKey)` |

    - ### Methods inherited from class org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor.StatementProxy

      `getActualProxy, getConnection, getConstructor, getDelegate, getSql, invoke, setActualProxy, setConnection, setConstructor, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedStatement

          public CachedStatement​(java.sql.PreparedStatement parent,
                                 java.lang.String sql)

  - ### Method Detail

    - #### closeInvoked

          public void closeInvoked()

      Overrides:
        `closeInvoked` in class `StatementDecoratorInterceptor.StatementProxy<java.sql.PreparedStatement>`

    - #### forceClose

          public void forceClose()

    - #### getCacheKey

          public org.apache.tomcat.jdbc.pool.interceptor.StatementCache.CacheKey getCacheKey()

    - #### setCacheKey

          public void setCacheKey​(org.apache.tomcat.jdbc.pool.interceptor.StatementCache.CacheKey cacheKey)